<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CW: lesson 9</title>
    <link rel="stylesheet" href="../lesson_9/public/css/style.min.css" />
</head>
<body>
  <!-- <form action="/" name="createNewPost" class="createNewPost">
    <input type="hidden" name="_id" id="_id">
    <label for="title" class="label">Title</label>
    <input type="text" name="title" id="title" class="input" placeholder="Write a title">
    <label for="about" class="label">Description</label>
    <textarea type="text" name="about" id="about" class="input -textarea" placeholder="What about you story"></textarea>
    <div class="buttons">
      <button id="publish" class="btn" type="button">Publish</button>
      <button id="draft" class="btn" type="button">Draft</button>
      <button id="clear" class="btn" type="button">Clear</button>
      <button id="generate" class="btn" type="button">Generate</button>
    </div>
  </form> -->
  <div class="create-new-form">
    <div class="wrapper">
        <div class="block -left">
            <button class="btn js-btn" id="createNewInputText" data-element="input" data-type="text">Add New Input Text</button>
            <button class="btn js-btn" id="createNewInputNumber" data-element="input" data-type="number">Add New Input Number</button>
            <button class="btn js-btn" id="createNewInputDate" data-element="input" data-type="date">Add New Input Date</button>
            <button class="btn js-btn" id="createNewInputPassword" data-element="input" data-type="password">Add New Input Password</button>
            <button class="btn js-btn" id="createNewInputEmail" data-element="input" data-type="email">Add New Input Email</button>
            <button class="btn js-btn" id="createNewInputRange" data-element="input" data-type="range">Add New Input Range</button>
            <button class="btn js-btn" id="createNewColorRange" data-element="input" data-type="color">Add New Color</button>
            <button class="btn js-btn" id="createNewSubmitRange" data-element="btn" data-type="submit">Add New Submit</button>
            <button class="btn js-btn" id="createNewResetRange" data-element="btn" data-type="reset">Add New Reset</button>
            <button class="btn js-btn" id="createNewTextArea" data-element="textarea" data-type="textarea">Add New TextArea</button>
            <button class="btn js-btn" id="createNewSelect" data-element="select" data-type="select">Add New Select</button>
            <div class="popup -customize" id="popupCustomize">
              <label for="changeDescription" class="label"><span class="desc">Change Description</span>
                  <input type="text" class="input" name="" id="changeDescription" placeholder="Change Description">
              </label>
              <div class="minmax js-minmax">
                  <label for="min" class="label"><span class="desc">Min</span>
                    <input type="number" class="input" name="" id="min" placeholder="Min">
                  </label>
                  <label for="max" class="label"><span class="desc">Max</span>
                    <input type="number" class="input" name="" id="max" placeholder="Max">
                  </label>
              </div>
              <div class="btnstyle js-btnstyle">
                <label for="changeText" class="label"><span class="desc">Change CTA Text</span>
                  <input type="text" class="input" name="" id="changeText" placeholder="Change CTA Text">
                </label>
                <label for="ChangeColor" class="label"><span class="desc">Change Color</span>
                  <input type="color" class="input" name="ChangeColor" id="changeColor">
                </label>
                <label for="ChangeBgColor" class="label"><span class="desc">Change Background Color</span>
                  <input type="color" class="input" name="ChangeColor" id="changeBgColor">
                </label>              
              </div>
              <div class="addOption js-addOption">
                  <label for="addOption" class="label">
                    <input type="text" class="input" name="addOption" id="addOption" placeholder="Option Name">
                    <button class="addOptionBtn">Add Option</button>
                  </label>   
              </div>
              <button class="delete" id="delete">Delete Field</button>
              <button class="ok" id="ok">Save</button>
            </div>
        </div>
        <div class="block -right">
            <div id="result"></div>
        </div>
    </div>
  </div>
  
  <script src="script.js"></script>
</body>
</html>
